'use strict';

var _ava = require('ava');

var _ava2 = _interopRequireDefault(_ava);

var _AggregatingConfig = require('./AggregatingConfig');

var _AggregatingConfig2 = _interopRequireDefault(_AggregatingConfig);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

(0, _ava2.default)('Aggregate user count by indexed_value', function (t) {
  var config = new _AggregatingConfig2.default({
    field: 'user_id',
    method: 'count'
  });

  t.is(config.build('table', [{ field: 'indexed_value' }]).toString(), 'SELECT COUNT(`user_id`) AS "value", `indexed_value_0` AS "category" FROM table `indexing_table` GROUP BY `indexed_value_0`');
});

(0, _ava2.default)('Aggregate user count by 300 interval', function (t) {
  var config = new _AggregatingConfig2.default({
    field: 'user_id',
    method: 'count'
  });

  t.is(config.build('table', [{ field: 'indexed_value', interval: 300 }]).toString(), 'SELECT COUNT(`user_id`) AS "value", FLOOR(`indexed_value_0` / 300) AS "category" FROM table `indexing_table` GROUP BY FLOOR(`indexed_value_0` / 300)');
});

(0, _ava2.default)('Aggregate user count by 0-99, 100-199, 200-299, 300-399', function (t) {
  var config = new _AggregatingConfig2.default({
    field: 'user_id',
    method: 'count'
  });

  t.is(config.build('table', [{ field: 'indexed_value', categoryRange: [0, 100, 200, 300] }]).toString(), 'SELECT COUNT(`user_id`) AS "value", CASE WHEN (200 <= `indexed_value_0` AND `indexed_value_0` < 300) THEN 200 WHEN (100 <= `indexed_value_0` AND `indexed_value_0` < 200) THEN 100 WHEN (0 <= `indexed_value_0` AND `indexed_value_0` < 100) THEN 0 ELSE NULL END AS "category" FROM table `indexing_table` GROUP BY CASE WHEN (200 <= `indexed_value_0` AND `indexed_value_0` < 300) THEN 200 WHEN (100 <= `indexed_value_0` AND `indexed_value_0` < 200) THEN 100 WHEN (0 <= `indexed_value_0` AND `indexed_value_0` < 100) THEN 0 ELSE NULL END');
});